Bug 827874 - [abrt] shotwell-0.12.3-1.fc17: type_check_is_value_type_U: Process /usr/bin/shotwell was killed by signal 11 (SIGSEGV)
[abrt] shotwell-0.12.3-1.fc17: type_check_is_value_type_U: Process /usr/bin/s...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: shotwell (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:871df78aa31effa3dfcdb24244a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-03 08:21 EDT by Jonathan Gazeley
Modified: 2013-08-01 00:00 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 00:00:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (111.11 KB, text/plain)
2012-06-03 08:21 EDT, Jonathan Gazeley
no flags Details
File: maps (80.84 KB, text/plain)
2012-06-03 08:22 EDT, Jonathan Gazeley
no flags Details
File: dso_list (17.32 KB, text/plain)
2012-06-03 08:22 EDT, Jonathan Gazeley
no flags Details
File: build_ids (6.41 KB, text/plain)
2012-06-03 08:22 EDT, Jonathan Gazeley
no flags Details

  None (edit)
Description Jonathan Gazeley 2012-06-03 08:21:41 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        shotwell afc://4ce923f0c7541cb6e8137b83795bc9ad4e3aa1b0/
crash_function: type_check_is_value_type_U
executable:     /usr/bin/shotwell
kernel:         3.3.7-1.fc17.x86_64
pid:            4719
pwd:            /home/jonathan
time:           Sun 03 Jun 2012 13:05:07 BST
uid:            500
username:       jonathan

backtrace:      Text file, 113780 bytes
build_ids:      Text file, 6560 bytes
dso_list:       Text file, 17731 bytes
maps:           Text file, 82778 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/jonathan/2

comment:
:Plugged in an iPhone. gnome popup said "Open with Shotwell" so I clicked it
:Shotwell appeared but crashed when I clicked on the iPhone in the left-hand menu

core_backtrace:
:31243d0d107bba586a96433c76c87a26db1e826c 0x31508 g_type_check_value libgobject-2.0.so.0 -
:f23f8759450275e5e7c4881c8d6dcdec0554a0ce 0x9123c gst_value_init_and_copy libgstreamer-0.10.so.0 -
:f23f8759450275e5e7c4881c8d6dcdec0554a0ce 0x7717a gst_structure_copy libgstreamer-0.10.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xc7c0 - libgobject-2.0.so.0 -
:f23f8759450275e5e7c4881c8d6dcdec0554a0ce 0x75fbd - libgstreamer-0.10.so.0 -
:f23f8759450275e5e7c4881c8d6dcdec0554a0ce 0x77abc gst_structure_id_set libgstreamer-0.10.so.0 -
:7d982b85513a02a6823da80f27b7a8e9c92e91a8 0x150ec - libgstpbutils-0.10.so.0 -
:7d982b85513a02a6823da80f27b7a8e9c92e91a8 0x15189 - libgstpbutils-0.10.so.0 -
:7d982b85513a02a6823da80f27b7a8e9c92e91a8 0x14ff4 - libgstpbutils-0.10.so.0 -
:7d982b85513a02a6823da80f27b7a8e9c92e91a8 0x14ec6 - libgstpbutils-0.10.so.0 -
:7d982b85513a02a6823da80f27b7a8e9c92e91a8 0x154cd - libgstpbutils-0.10.so.0 -
:7d982b85513a02a6823da80f27b7a8e9c92e91a8 0x16a6c gst_discoverer_discover_uri libgstpbutils-0.10.so.0 -
:f8429f1909fce72071ee411de574b8b0f301b313 0x27e240 video_reader_read_clip_duration [exe] -
:f8429f1909fce72071ee411de574b8b0f301b313 0x28267b video_check_is_interpretable [exe] -
:f8429f1909fce72071ee411de574b8b0f301b313 0x7dea8 - [exe] -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x6ab42 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x6a345 - libglib-2.0.so.0 -
: 0xa7b74 - libGL.so.1 -
:73777e822e00ca152ffca281ab0ace0cb498ec48 0x7d14 start_thread libpthread.so.0 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0xf199d clone libc.so.6 -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=poseidon.jonathangazeley.com
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/jonathan/keyring-bQUmMB
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=jonathan
:USERNAME=jonathan
:MAIL=/var/spool/mail/jonathan
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/jonathan/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/jonathan
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1173
:LANG=en_GB.utf8
:GDM_LANG=en_GB.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/jonathan
:SHLVL=1
:LOGNAME=jonathan
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-ayPv6QI5Vb,guid=207b6058686d410f91638f3d00000013
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/jonathan
:DISPLAY=:0
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-jonathan-Q1IVrx/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1176,unix/unix:/tmp/.ICE-unix/1176
:GPG_AGENT_INFO=/run/user/jonathan/keyring-bQUmMB/gpg:0:1
:SSH_AUTH_SOCK=/run/user/jonathan/keyring-bQUmMB/ssh
:LC_TIME=en_GB.utf8
:LC_NUMERIC=en_GB.utf8
:LC_MONETARY=en_GB.utf8
:LC_MEASUREMENT=en_GB.utf8
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/shotwell.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=4719

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63747                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63747                63747                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/jonathan/.xsession-errors
:pos:	14826
:flags:	0102002
:2:/home/jonathan/.xsession-errors
:pos:	14826
:flags:	0102002
:3:socket:[42390]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[42392]
:pos:	0
:flags:	02004002
:6:/home/jonathan/.cache/shotwell/shotwell.log
:pos:	6677
:flags:	0100001
:7:socket:[40859]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:/home/jonathan/.shotwell/data/photo.db
:pos:	6579200
:flags:	02100002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:pipe:[41422]
:pos:	0
:flags:	00
:13:anon_inode:inotify
:pos:	0
:flags:	02004000
:14:pipe:[41427]
:pos:	0
:flags:	00
:15:pipe:[43271]
:pos:	0
:flags:	00
:16:pipe:[41430]
:pos:	0
:flags:	00
:17:socket:[40925]
:pos:	0
:flags:	02004002
:18:socket:[40926]
:pos:	0
:flags:	02004002
:19:pipe:[42399]
:pos:	0
:flags:	00
:20:pipe:[42402]
:pos:	0
:flags:	00
:21:pipe:[40955]
:pos:	0
:flags:	00
:22:pipe:[42405]
:pos:	0
:flags:	00
:23:pipe:[43384]
:pos:	0
:flags:	00
:24:pipe:[42410]
:pos:	0
:flags:	00
:25:pipe:[41435]
:pos:	0
:flags:	00
:26:pipe:[41435]
:pos:	0
:flags:	01
:27:anon_inode:[timerfd]
:pos:	0
:flags:	04002
:28:pipe:[42417]
:pos:	0
:flags:	00
:29:pipe:[43418]
:pos:	0
:flags:	00
:30:pipe:[41442]
:pos:	0
:flags:	00
:31:pipe:[41437]
:pos:	0
:flags:	00
:32:pipe:[42468]
:pos:	0
:flags:	00
:33:pipe:[42424]
:pos:	0
:flags:	00
:34:pipe:[41449]
:pos:	0
:flags:	00
:35:pipe:[43543]
:pos:	0
:flags:	00
:36:pipe:[43548]
:pos:	0
:flags:	00
:37:pipe:[44182]
:pos:	0
:flags:	00
:38:/dev/bus/usb/001/004
:pos:	0
:flags:	0100002
:39:pipe:[44311]
:pos:	0
:flags:	00
:40:/home/jonathan/Pictures/Photos/2008/MOV01536 - Tampon in water.3GP
:pos:	744
:flags:	0100000

var_log_messages:
:Jun  3 11:23:23 poseidon yum[2141]: Updated: shotwell-0.12.3-1.fc17.x86_64
:Jun  3 13:05:09 poseidon abrt[4838]: Saved core dump of pid 4719 (/usr/bin/shotwell) to /var/spool/abrt/ccpp-2012-06-03-13:05:07-4719 (479068160 bytes)
Comment 1 Jonathan Gazeley 2012-06-03 08:21:59 EDT
Created attachment 588840 [details]
File: backtrace
Comment 2 Jonathan Gazeley 2012-06-03 08:22:01 EDT
Created attachment 588841 [details]
File: maps
Comment 3 Jonathan Gazeley 2012-06-03 08:22:03 EDT
Created attachment 588842 [details]
File: dso_list
Comment 4 Jonathan Gazeley 2012-06-03 08:22:05 EDT
Created attachment 588843 [details]
File: build_ids
Comment 5 Ankur Sinha (FranciscoD) 2012-06-20 08:33:14 EDT
My Pictures folder is 28Gigs. I think shotwell can't handle so many photos? Keeps crashing. I just deleted all it's configurations etc (~/.shotwell, ~/.gconf/apps/shotwell) and was reimporting when it crashed. 

backtrace_rating: 4
Package: shotwell-0.12.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Jonathan Gazeley 2012-08-11 18:03:48 EDT
Importing photos from an iPhone 4 via USB cable. Clicked "import all" and it crashed.

backtrace_rating: 4
Package: shotwell-0.12.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Fedora End Of Life 2013-07-03 20:22:28 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 00:00:49 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.